export default (function() {
	let audioMannager;
	class AudioController {
		init({
			canplay,
			play,
			pause,
			stop,
			end,
			timeUpdate,
			error,
			waiting,
			src
		}) {
			//获取 uni-app 音乐播放器
			if(audioMannager){
				if(audioMannager.src != src){
					audioMannager.src = src;
				}else{
					audioMannager.play();
				}
				return audioMannager;
			};
			
			audioMannager = uni.createInnerAudioContext();
			
			audioMannager.autoplay = true;
			audioMannager.loop = false;
			audioMannager.src = src;
			
			canplay && audioMannager?.onCanplay(canplay);
			
			play && audioMannager?.onPlay(play);
			
			pause && audioMannager?.onPause(pause);
			
			stop && audioMannager?.onStop(stop);
			
			end && audioMannager?.onEnded(end);
			
			timeUpdate && audioMannager?.onTimeUpdate(timeUpdate);
			
			error && audioMannager?.onError(error);
			
			waiting && audioMannager?.onWaiting(waiting);
			
			return audioMannager;
		}
		
		//销毁音频
		destroy(){
			audioMannager?.offCanplay();
			
			audioMannager?.offPlay();
			
			audioMannager?.offPause();
			
			audioMannager?.offStop();
			
			audioMannager?.offEnded();
			
			audioMannager?.offTimeUpdate();
			
			audioMannager?.offError();
			
			audioMannager?.offWaiting();
			
			audioMannager?.destroy();
			
			audioMannager = null;
		}
	
		//更新通知栏信息，播放，初始化音乐播放器
		resume(data) {
			audioMannager.title = data?.musicName;
			audioMannager.singer = data?.musicArtist;
			audioMannager.coverImgUrl = data?.coverImgUrl;
			audioMannager.src = data?.musicPath;
		}
	
		//开始播放 | 暂停播放
		playOrPause(playing) {
			if(playing) {
				audioMannager?.play();
			} else {
				audioMannager?.pause();
			}
		}
	
		//修改播放进度 （快进、快退
		seek(position = 0) {
			audioMannager?.seek(position);
		}
	
		//暂停播放
		stop() {
			audioMannager?.stop();
		}
	
		//歌曲时长
		duration() {
			return audioMannager.duration || 0;
		}
	
		//播放进度
		currentTime() {
			return audioMannager.currentTime || 0;
		}
	}
	
	return new AudioController();
})();